Bug 257299 - nanobsd typo fix in NANO_WORLD_DIR variable
Summary: nanobsd typo fix in NANO_WORLD_DIR variable
Status: In Progress
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 13.0-RELEASE
Hardware: Any Any
: --- Affects Some People
Assignee: Warner Losh
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2021-07-20 16:27 UTC by Yann Kerherve
Modified: 2021-07-31 00:22 UTC (History)
1 user (show)

See Also:
imp: mfc-stable13+
imp: mfc-stable12+
koobs: mfc-stable11-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yann Kerherve 2021-07-20 16:27:57 UTC
diff --git a/tools/tools/nanobsd/embedded/common b/tools/tools/nanobsd/embedded/common
index 013495997554..7186aa5ba4b5 100644
--- a/tools/tools/nanobsd/embedded/common
+++ b/tools/tools/nanobsd/embedded/common
@@ -297,7 +297,7 @@ create_diskimage_mbr ( ) (
                # and p5 is alt-root (after resize)
                mkimg -a 2 ${fmtarg} ${bootmbr} -s gpt \
                        -p efi:=${NANO_WORLDDIR}/boot/efiboot.img \
-                       -p freebsd-boot:=${NAANO_WORLDDIR}/boot/gptboot \
+                       -p freebsd-boot:=${NANO_WORLDDIR}/boot/gptboot \
                        -p ${p3}:=${NANO_LOG}/_.p3 \
                        -p ${p4}:=${NANO_LOG}/_.p4 \
                        -o ${out}
Comment 1 commit-hook freebsd_committer 2021-07-20 17:12:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=5a9e5a5111af59dbc96383fcd73129e31648e017

commit 5a9e5a5111af59dbc96383fcd73129e31648e017
Author:     Yann Kerherve <yannk@apple.com>
AuthorDate: 2021-07-20 17:10:28 +0000
Commit:     Warner Losh <imp@FreeBSD.org>
CommitDate: 2021-07-20 17:11:44 +0000

    nanobsd: fix typo in NANO_WORLDDIR

    Reviewed by:    imp
    PR:             257299

 tools/tools/nanobsd/embedded/common | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 2 Warner Losh freebsd_committer 2021-07-20 17:13:53 UTC
Fixed, and queued to my local MFC eventually branches.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-21 01:13:44 UTC
Which branches does this need to goto apart from 13? Are 12/11 also affected?

^Triage: Re-open pending merges
Comment 4 Warner Losh freebsd_committer 2021-07-21 03:21:50 UTC
FreeBSD 11 nanobsd has diverged too much, and so I'm making no further commits at all to it since I can't test them properly and 11 is EOL soon.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-21 03:28:18 UTC
Danke! I didn't change it here, but you can leave merge flags open ?, until merge, then + them ("done") and close :) - for 'not going to merge to this branch'
Comment 6 commit-hook freebsd_committer 2021-07-30 23:35:06 UTC
A commit in branch stable/13 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=2cbf9eff2d97a8e87f55928f6dbd8bcb1799e98d

commit 2cbf9eff2d97a8e87f55928f6dbd8bcb1799e98d
Author:     Yann Kerherve <yannk@apple.com>
AuthorDate: 2021-07-20 17:10:28 +0000
Commit:     Warner Losh <imp@FreeBSD.org>
CommitDate: 2021-07-30 23:02:13 +0000

    nanobsd: fix typo in NANO_WORLDDIR

    Reviewed by:    imp
    PR:             257299

    (cherry picked from commit 5a9e5a5111af59dbc96383fcd73129e31648e017)

 tools/tools/nanobsd/embedded/common | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 commit-hook freebsd_committer 2021-07-31 00:22:18 UTC
A commit in branch stable/12 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=c26dea4361aebff81ac8b1a7e0fac362d94216fa

commit c26dea4361aebff81ac8b1a7e0fac362d94216fa
Author:     Yann Kerherve <yannk@apple.com>
AuthorDate: 2021-07-20 17:10:28 +0000
Commit:     Warner Losh <imp@FreeBSD.org>
CommitDate: 2021-07-31 00:02:50 +0000

    nanobsd: fix typo in NANO_WORLDDIR

    Reviewed by:    imp
    PR:             257299

    (cherry picked from commit 5a9e5a5111af59dbc96383fcd73129e31648e017)

 tools/tools/nanobsd/embedded/common | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)